> For a complete page index, fetch https://developer.close.com/llms.txt # Fetch a single Sequence Subscription GET https://api.close.com/api/v1/sequence_subscription/{id}/ Reference: https://developer.close.com/api/resources/sequences/get-subscription ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "calls_assigned_to": [ "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" ], "contact_email": "contact@example.org", "contact_id": "cont_MEe412YKyJBXuTqbttZBbcofXr3uydwKEhhBJjyu3O3", "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2022-03-10T14:40:27.442448", "date_updated": "2022-03-10T14:40:27.442451", "id": "sub_71lcl74wTWvv7Erx6uYWno", "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "sender_account_id": "emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej", "sender_email": "john@salesteam.com", "sender_name": "John Doe", "sequence_id": "seq_1BTljGuCooX0nbFoPihl07", "start_date": null, "status": "active", "status_reason": null, "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python sequences_getSubscription_example import requests url = "https://api.close.com/api/v1/sequence_subscription/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript sequences_getSubscription_example const url = 'https://api.close.com/api/v1/sequence_subscription/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go sequences_getSubscription_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/sequence_subscription/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby sequences_getSubscription_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/sequence_subscription/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java sequences_getSubscription_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/sequence_subscription/id/") .basicAuth("", "") .asString(); ``` ```php sequences_getSubscription_example request('GET', 'https://api.close.com/api/v1/sequence_subscription/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp sequences_getSubscription_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/sequence_subscription/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```